libzypp 17.37.10

Fetcher.cc File Reference
`#include <iostream>`
`#include <fstream>`
`#include <list>`
`#include <map>`
`#include <zypp/base/Easy.h>`
`#include <zypp/base/LogControl.h>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/PtrTypes.h>`
`#include <zypp-core/base/DefaultIntegral>`
`#include <zypp/base/String.h>`
`#include <zypp-media/MediaException>`
`#include <zypp/Fetcher.h>`
`#include <zypp/ZYppFactory.h>`
`#include <zypp/CheckSum.h>`
`#include <zypp-core/base/UserRequestException>`
`#include <zypp/parser/susetags/ContentFileReader.h>`
`#include <zypp/parser/susetags/RepoIndex.h>`

Go to the source code of this file.

## Classes
struct | zypp::FetcherIndex
| class that represents indexes which add metadata to fetcher jobs and therefore need to be retrieved in advance. More...
struct | zypp::SameFetcherIndex
| std::set ordering (less semantic) More...
struct | zypp::FetcherJob
| Class to encapsulate the OnMediaLocation object and the FileChecker together. More...
class | zypp::Fetcher::Impl
| Fetcher implementation. More...
struct | zypp::Fetcher::Impl::CacheInfo
struct | zypp::ContentReaderHelper

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "zypp::fetcher"

## Typedefs
using | zypp::FetcherIndex_Ptr = shared_ptr<FetcherIndex>
using | zypp::FetcherJob_Ptr = shared_ptr<FetcherJob>

## Functions
| zypp::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (FetcherJob::Flags)
std::ostream & | zypp::operator<< (std::ostream &str, const FetcherJob_Ptr &obj)
std::ostream & | zypp::operator<< (std::ostream &str, const Fetcher &obj)

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "zypp::fetcher"

Definition at line 32 of file Fetcher.cc.